Noté 5 sur 5 étoiles

Still works in FF22! Please update the install.rdf? :)

Cette critique est pour une version précédente du module (2.6.1-signed). 

I've updated the compatibility on AMO...Firefox should allow you to install from there with no problem.